Get Live Asset Status History
This endpoint retrieves the history of a live video asset that has previously been created.
Path Parameters
- Type: stringlive
_asset _id requiredAn live asset id for the previously created asset.
Responses
- application/json
- application/json
- application/json
Request Example for get/video/live/assets/{live_asset_id}/history
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const liveStreamAsset = await client.liveStreamAssets.statusHistory('liveAssetId');
console.log(liveStreamAsset);
{
"status": "created",
"stream_key": "619231610822a81d955d22f4",
"live_asset_id": "619231610822a81d955d22f3",
"live_video_source_id": "6165247368d80232d28d4379",
"input": {
"resolution": [
"720p"
]
},
"stream_url": "rtmp://livestream-ingest.gumlet.io:1935/app/619231610822a81d955d22f4",
"output": {
"playback_url": "https://video.gumlet.io/6165247368d80232d28d4379/619231610822a81d955d22f3/master.m3u8"
},
"created_at": 1636970849188,
"updated_at": 1636970849188
}
